settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

onEvent('recipes', event => {
	// Change recipes here
event.remove({output: 'immersiveengineering:dust_iron'})
event.remove({output: 'immersiveengineering:dust_uranium'})
event.remove({output: 'immersiveengineering:dust_aluminum'})
event.remove({output: 'immersiveengineering:dust_nickel'})
event.remove({output: 'immersiveengineering:dust_gold'})
event.remove({output: 'immersiveengineering:dust_lead'})
event.remove({output: 'immersiveengineering:dust_copper'})
event.remove({output: 'immersiveengineering:dust_silver'})
event.remove({output: 'mekanism:dust_osmium'})
event.remove({output: 'mekanism:dust_tin'})
event.remove({output: 'immersiveengineering:plate_iron', type: 'minecraft:crafting_shapeless'})
event.remove({output: 'immersiveengineering:plate_gold', type: 'minecraft:crafting_shapeless'})
event.remove({output: 'immersiveengineering:plate_copper', type: 'minecraft:crafting_shapeless'})
event.remove({output: 'immersiveengineering:plate_aluminum', type: 'minecraft:crafting_shapeless'})
event.remove({output: 'immersiveengineering:plate_lead', type: 'minecraft:crafting_shapeless'})
event.remove({output: 'immersiveengineering:plate_silver', type: 'minecraft:crafting_shapeless'})
event.remove({output: 'immersiveengineering:plate_nickel', type: 'minecraft:crafting_shapeless'})
event.remove({output: 'immersiveengineering:plate_uranium', type: 'minecraft:crafting_shapeless'})
event.remove({output: 'immersiveengineering:plate_constantan', type: 'minecraft:crafting_shapeless'})
event.remove({output: 'immersiveengineering:plate_electrum', type: 'minecraft:crafting_shapeless'})
event.remove({output: 'immersiveengineering:plate_steel', type: 'minecraft:crafting_shapeless'})
event.remove({output: 'immersiveengineering:blastbrick'})
event.remove({output: 'immersiveengineering:cokebrick'})
event.remove({output: 'powah:dielectric_paste'})
event.remove({output: 'immersiveengineering:rs_engineering'})
event.remove({output: 'immersiveengineering:heavy_engineering'})
event.remove({output: 'immersiveengineering:hammer'})
event.remove({output: 'immersiveengineering:dynamo'})
event.remove({output: 'immersiveengineering:connector_lv'})
event.remove({output: 'immersiveengineering:connector_lv_relay'})
event.remove({output: 'immersiveengineering:sheetmetal_nickel'})
event.remove({output: 'immersiveengineering:alloybrick'})
event.remove({output: 'powah:solar_panel_basic'})

  event.shapeless('2x immersiveengineering:dust_iron', ['immersiveengineering:hammer', 'minecraft:iron_ore'])
  event.shapeless('2x immersiveengineering:dust_uranium', ['immersiveengineering:hammer', '#forge:ores/uranium'])
  event.shapeless('2x immersiveengineering:dust_aluminum', ['immersiveengineering:hammer', '#forge:ores/aluminum'])
  event.shapeless('2x mekanism:dust_tin', ['immersiveengineering:hammer', '#forge:ores/tin'])
  event.shapeless('2x mekanism:dust_osmium', ['immersiveengineering:hammer', '#forge:ores/osmium'])
  event.shapeless('2x immersiveengineering:dust_nickel', ['immersiveengineering:hammer', '#forge:ores/nickel'])
  event.shapeless('2x immersiveengineering:dust_gold', ['immersiveengineering:hammer', '#forge:ores/gold'])
  event.shapeless('2x immersiveengineering:dust_lead', ['immersiveengineering:hammer', '#forge:ores/lead'])
  event.shapeless('2x immersiveengineering:dust_copper', ['immersiveengineering:hammer', '#forge:ores/copper'])
  event.shapeless('2x immersiveengineering:dust_silver', ['immersiveengineering:hammer', '#forge:ores/silver'])
  event.shapeless('2x immersiveengineering:wirecoil_copper', ['#forge:rods/wooden', '#forge:ingots/copper'])

    event.shaped('4x immersiveengineering:connector_lv', [
      ' B ',
      'SBS',
      'SBS'
    ], {
      S: 'minecraft:terracotta',
      B: '#forge:ingots/bronze'
    })

    event.shaped('4x immersiveengineering:connector_lv_relay', [
      ' B ',
      'SBS'
    ], {
      S: 'minecraft:terracotta',
      B: '#forge:ingots/bronze'
    })

    event.shaped('immersiveengineering:rs_engineering', [
      'SRS',
      'RIR',
      'SRS'
    ], {
      S: 'minecraft:smooth_stone',
      I: '#forge:ingots/copper',
      R: 'minecraft:redstone_block'
    })

    event.shaped('powah:solar_panel_basic', [
      'RRR',
      'SIS',
      'SSS'
    ], {
      S: '#forge:ingots/steel',
      I: 'immersiveengineering:coil_lv',
      R: 'mekanismgenerators:solar_panel'
    })

      event.shaped('immersiveengineering:rs_engineering', [
        'SRS',
        'RIR',
        'SRS'
      ], {
        S: 'minecraft:smooth_stone',
        I: '#forge:ingots/copper',
        R: 'minecraft:redstone_block'
      })

      event.recipes.immersiveengineering.metal_press('titanium:diamond_gear', '4x minecraft:diamond', 'immersiveengineering:mold_gear')

      onEvent('recipes', event => {
        event.custom(
          {
            "type": "immersiveengineering:blueprint",
            "inputs": [
              {
                "count": 1,
                "base_ingredient": {
                  "tag": "forge:storage_blocks/steel"
                }
              },
              {
                "item": "immersiveengineering:hammer"
              }
            ],
            "category": "molds",
            "result": {
              "item": "immersiveengineering:mold_plate"
            }
          }
      )
      })
      
      onEvent('recipes', event => {
        event.custom(
          {
          "type": "immersiveengineering:metal_press",
          "mold": {
            "item": "immersiveengineering:mold_gear"
          },
          "result": {
            "item": "appliedenergistics2:wooden_gear"
          },
          "conditions": [
            {
              "value": {
                "tag": "minecraft:planks",
                "type": "forge:tag_empty"
              },
              "type": "forge:not"
            }
          ],
          "input": {
            "count": 1,
            "base_ingredient": {
              "tag": "minecraft:planks"
            }
          },
          "energy": 2400
          })
      })

      event.shaped('immersiveengineering:hammer', [
        ' BC',
        ' SB',
        'S  '
      ], {
        S: 'botania:livingwood_twig',
        C: 'excompressum:compressed_flint',
        B: 'minecraft:iron_ingot'
      }) 
      
      event.shaped('3x immersiveengineering:blastbrick', [
          'SBS',
          'BCB',
          'SBS'
        ], {
          S: 'minecraft:nether_brick',
          C: 'minecraft:gilded_blackstone',
          B: 'minecraft:brick'
        })
      
        event.shaped('immersiveengineering:heavy_engineering', [
          'SBS',
          'BEB',
          'SBS'
        ], {
          S: 'immersiveengineering:storage_steel',
          E: 'immersiveengineering:ingot_electrum',
          B: 'mekanism:nugget_steel'
        })
      
        event.shaped('3x immersiveengineering:cokebrick', [
          'SBS',
          'BCB',
          'SBS'
        ], {
          S: 'tconstruct:seared_bricks',
          C: 'minecraft:stone',
          B: 'minecraft:brick'
        })

        event.shaped('immersiveengineering:dynamo', [
          'RSR',
          'III'
        ], {
          S: 'industrialforegoing:machine_frame_pity',
          I: '#forge:ingots/iron',
          R: 'minecraft:redstone'
        })
       
})

events.listen('item.tags', function (event) {
  event.get('forge:ingots').add('immersiveengineering:ingot_hop_graphite')
  event.get('minecraft:logs').remove('tconstruct:stripped_bloodshroom_log')
  event.get('minecraft:logs').remove('tconstruct:bloodshroom_log')
})
